AWorld Lab API Reference
API ReferenceApp API (Consumer)
Dashboard API (Admin)
API ReferenceApp API (Consumer)
Dashboard API (Admin)
  1. Users
  • ActivityLogs
    • Create activity log
    • List activity logs
    • Get activity log
  • Analytics
    • Get community metrics
  • Badges
    • List badge configurations
    • List badges
    • Get badge
    • List badge configuration tag assignments
    • Get badge configuration translation
    • Get badge configuration tag assignment
  • LearningGroups
    • List learning groups
    • Get learning group
    • List learning group items
    • List learning group tag assignments
    • Get learning group translation
    • Get learning group tag assignment
  • LearningPathAssignments
    • List learning path assignments
    • Get learning path assignment
    • Get current attempt
    • List learning path assignment items
    • Retry learning path assignment
    • List learning path assignment tags
    • Get learning path assignment translation
    • Get learning path assignment tag
  • Missions
    • List missions
    • Get mission
  • Quizzes
    • List quizzes
    • Get quiz
    • Submit quiz answer
    • List quiz tag assignments
    • Get quiz translation
    • Get quiz tag assignment
  • RuntimeLeaderboards
    • List runtime leaderboards
    • Get runtime leaderboard
    • Get leaderboard rankings
    • Get my ranking
  • Slides
    • List slides
    • Get slide
    • Submit slide progress
    • List slide tag assignments
    • Get slide translation
    • Get slide tag assignment
  • Streaks
    • List streaks
    • Get streak
  • Users
    • Get current user
      GET
    • Update current user
      PATCH
    • Delete current user
      DELETE
    • List current user learning group logs
      GET
    • List notification preferences for the current user
      GET
    • Get current user permissions
      GET
    • Get current user principal
      GET
    • Get current user referral code
      GET
    • Get current user stats
      GET
    • List current user tag assignments
      GET
    • Update a notification preference for the current user
      PATCH
    • Reset a notification preference for the current user
      DELETE
    • Get current user tag assignment
      GET
  • VirtualBalances
    • List virtual balances
    • Get virtual balance
  • VirtualTransactions
    • List virtual transactions
    • Create virtual transaction
    • Get virtual transaction
    • Redeem virtual transaction
    • Search virtual transactions history
  • WorkspaceCodes
    • Redeem a workspace code
  • WorkspaceConfigurations
    • Get workspace configuration
  • Surveys
    • Get survey
    • Get survey progress
    • Submit survey answers
  • Extensions
    • Get daily activity card data
    • Get the workspace-specific profile card content
    • Get signed Extensions URL
    • Get public Extensions onboarding URL
  • NotificationPreferences
    • One-click unsubscribe (RFC 8058)
  • Schemas
    • CommunityMetricsResponse
    • CreateActivityResponse
    • CreateVirtualTransactionResponse
    • CurrentAttemptResponse
    • DailyActivityResponse
    • DeleteCurrentUserResponse
    • DeleteMyNotificationPreferenceResponse
    • GetActivityLogResponse
    • GetAppSurveyResponse
    • GetBadgeConfigurationTagResponse
    • GetBadgeConfigurationTranslationResponse
    • GetBadgeResponse
    • GetCurrentUserPermissionsResponse
    • GetCurrentUserPrincipalResponse
    • GetCurrentUserReferralCodeResponse
    • GetCurrentUserResponse
    • GetCurrentUserStatsResponse
    • GetCurrentUserTagResponse
    • GetLearningGroupResponse
    • GetLearningGroupTagAssignmentResponse
    • GetLearningGroupTranslationResponse
    • GetLearningPathAssignmentResponse
    • GetLearningPathAssignmentTagResponse
    • GetLearningPathAssignmentTranslationResponse
    • GetMissionResponse
    • GetQuizResponse
    • GetQuizTagResponse
    • GetQuizTranslationResponse
    • GetRuntimeLeaderboardRankingsMeResponse
    • GetRuntimeLeaderboardRankingsResponse
    • GetRuntimeLeaderboardResponse
    • GetSlideResponse
    • GetSlideTagResponse
    • GetSlideTranslationResponse
    • GetStreakResponse
    • GetSurveyProgressResponse
    • GetVirtualBalanceResponse
    • GetVirtualTransactionResponse
    • GetWorkspaceConfigurationResponse
    • JsonLogicExpression
    • Lang
    • ListActivityLogsResponse
    • ListBadgeConfigurationsResponse
    • ListBadgeConfigurationTagAssignmentsResponse
    • ListBadgesResponse
    • ListCurrentUserLearningGroupLogsResponse
    • ListCurrentUserTagAssignmentsResponse
    • ListLearningGroupItemsResponse
    • ListLearningGroupsResponse
    • ListLearningGroupTagAssignmentsResponse
    • ListLearningPathAssignmentItemsResponse
    • ListLearningPathAssignmentsResponse
    • ListLearningPathAssignmentTagsResponse
    • ListMissionsResponse
    • ListMyNotificationPreferencesResponse
    • ListQuizTagAssignmentsResponse
    • ListQuizzesResponse
    • ListRuntimeLeaderboardsResponse
    • ListSlidesResponse
    • ListSlideTagAssignmentsResponse
    • ListStreaksResponse
    • ListVirtualBalancesResponse
    • ListVirtualTransactionsResponse
    • ProfileCardResponse
    • PublicOnboardingUrlResponse
    • RedeemVirtualTransactionResponse
    • RedeemWorkspaceCodeResponse
    • ResolvedNotificationPreference
    • RetryLearningPathAssignmentResponse
    • SearchVirtualTransactionsHistoryResponse
    • SignedUrlResponse
    • SourceRegion
    • SubmitQuizResponse
    • SubmitSlideResponse
    • SubmitSurveyResponse
    • Timezone
    • UnsubscribeResponse
    • UpdateCurrentUserResponse
    • UpdateMyNotificationPreferenceResponse
    • VirtualTransactionHistoryRewardRule
    • VirtualTransactionHistorySourceEntity
    • VirtualTransactionHistoryStreakRule
    • VirtualTransactionHistoryVirtualCurrency
  1. Users

List current user learning group logs

GET
/users/me/learning-group-logs
Users
List completed learning group logs for the current authenticated user.

Request

Query Params

Header Params

Responses

🟢200OK
application/json
Learning group logs retrieved successfully
Bodyapplication/json

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.aworld.cloud/app/v1/users/me/learning-group-logs?limit=undefined&nextToken=undefined' \
--header 'x-external-user-id;' \
--header 'x-user-id;'
Response Response Example
{
    "items": [
        {
            "learningGroupId": "string",
            "userId": "string",
            "lang": "string",
            "progress": "COMPLETE",
            "context": "string",
            "outcome": "SUCCESS",
            "parentId": "string",
            "parentType": "learningPath",
            "items": [
                {
                    "itemId": "string",
                    "itemType": "activity",
                    "progress": "START",
                    "outcome": "SUCCESS"
                }
            ],
            "currentItemId": "string",
            "currentItemType": "activity",
            "startedAt": "string",
            "completedAt": "string",
            "createdAt": "string",
            "updatedAt": "string",
            "learningGroupTitle": "string",
            "learningGroupImage": "string",
            "learningGroupDescription": "string"
        }
    ],
    "nextToken": "string"
}
Modified at 2026-06-15 16:41:07
Previous
Delete current user
Next
List notification preferences for the current user
Built with